Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 487262 - git-r3.eclass checks out submodules with update=none
Summary: git-r3.eclass checks out submodules with update=none
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Eclasses (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Michał Górny
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-08 00:34 UTC by Davide Pesavento
Modified: 2013-10-14 16:54 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
git-r3.eclass patch (git-r3.eclass.diff,643 bytes, patch)
2013-10-09 15:00 UTC, Michał Górny
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Davide Pesavento gentoo-dev 2013-10-08 00:34:54 UTC
I need to disable submodules for https://qt.gitorious.org/qt/qtdeclarative
Comment 1 Davide Pesavento gentoo-dev 2013-10-08 00:39:24 UTC
Or maybe the eclass should automatically skip submodules that have "update = none" in .gitmodules, but TBH I'm not sure if I really understood the purpose of that configuration key.
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2013-10-08 03:54:42 UTC
Hmm, supporting that seems reasonable. I see that git-submodule does exactly that.
Comment 3 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2013-10-09 15:00:15 UTC
Created attachment 360496 [details, diff]
git-r3.eclass patch

Could you test this patch, please? A dummy ebuild using qtdeclarative's EGIT_REPO_URI seems to work fine (not fetch the submodule) but I'd like you to confirm.
Comment 4 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2013-10-09 17:14:21 UTC
Well, committed it anyway. Please reopen if the bug persists.
Comment 5 Davide Pesavento gentoo-dev 2013-10-14 16:54:39 UTC
(In reply to Michał Górny from comment #3)

Works perfectly here too, thanks!